Skip to content

Searches for tasks using predefined parameters

Request

Searches for tasks using predefined parameters

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
exclusiveStartKeystring

The start key for the search, for paging support

fieldsToReturnstring

The fields that you want to retrieve; if omitted, the entire object is returned

Bodyapplication/jsonrequired

The task that you would like to be saved.

nameArray of strings(Name)
priorityArray of strings(Priority)
type_idArray of strings(Type)
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/platform/platform-v1/tasks/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": [
      "string"
    ],
    "priority": [
      "string"
    ],
    "type_id": [
      "string"
    ]
  }'

Responses

The task search was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
ItemsArray of objects(TaskSearchResults)
LastEvaluatedKeystring
Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }